# $Revision: 1.32 $, $Date: 2003/10/03 08:36:19 $
Summary:	tgif drawing package
Summary(pl):	tgif - pakiet do tworzenia grafiki 2D
Summary(ja):	Ū 2 ưפˤ Xlib ˴Ť X11 饤
Name:		tgif
Version:	4.1.43
Release:	1
License:	QPL
Group:		X11/Applications/Graphics
Source0:	ftp://bourbon.usc.edu/pub/tgif/%{name}-QPL-%{version}.tar.gz
# Source0-md5:	88ba670d90ad61f86d1c9d765e97e0d1
Source1:	%{name}.ap.ja
Patch0:		%{name}-po.patch
URL:		http://bourbon.usc.edu:8001/tgif/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults

%description
tgif is a drawing packages for X. It has better text and object
support than xfig, but is a little different to use.

%description -l pl
tgif jest programem do rysowania w 2D pod X Window. Ma lepsze wsparcie
dla tekstu i obiektw ni xfig, ale jest nieco trudniejszy w obsudze.

%description -l ja
Tgif Ū 2 ưפˤ Xlib ˴Ť X11
饤ȤǤγع¤ν֤δñ
򥵥ݡȤƤޤޤ WWW Υѥѡեå
(⤷ϥϥѡȥ饯㡼ɡեå)֥ Ǥ

%prep
%setup -q -n %{name}-QPL-%{version}
%patch0 -p1

%build
rm -rf Tgif.tmpl
cp -f Tgif.tmpl-linux Tgif.tmpl
xmkmf
%{__make} tgif \
	MOREDEFINES="-DOVERTHESPOT -DUSE_XT_INITIALIZE -D_ENABLE_NLS \
	-DPRINT_CMD=\\\"lpr\\\" -DA4PAPER" \
	TGIFDIR="%{_datadir}/tgif" \
	LOCAL_LIBRARIES="-lXmu -lXt -lX11" \
	CDEBUGFLAGS="%{rpmcflags}"

cd po
xmkmf -a
%{__make} depend
%{__make} all
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdefsdir}/ja/Tgif

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}/man1 \
	TGIFDIR=%{_datadir}/tgif

install *.obj $RPM_BUILD_ROOT%{_datadir}/tgif

%{__make} -C po install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/tgif/tgif.Xdefaults \
	$RPM_BUILD_ROOT%{_appdefsdir}/Tgif
install %{SOURCE1} $RPM_BUILD_ROOT%{_appdefsdir}/ja/Tgif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README HISTORY Copyright
%attr(755,root,root) %{_bindir}/tgif
%{_datadir}/tgif
%{_mandir}/man1/*
%{_appdefsdir}/Tgif
%lang(ja) %{_appdefsdir}/ja/Tgif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tgif.spec,v $
Revision 1.32  2003/10/03 08:36:19  qboosh
- _appdefsdir macro name unification

Revision 1.31  2003/09/07 20:04:13  qboosh
- 4.1.43, updated po patch
- fixed app-defaults dir and build after "removing two lines"

Revision 1.30  2003/09/06 12:43:01  blues
- small cleanup

Revision 1.29  2003/09/06 00:34:00  ankry
- removed extra \\r from fr translation (-po patch)
- use proper dir for ja app-defaults
- rel. 4

Revision 1.28  2003/05/26 16:25:52  malekith
- massive attack: adding Source-md5

Revision 1.27  2003/05/25 06:27:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.25  2003/01/01 16:03:37  juandon
- new %%doc

Revision 1.24  2002/03/30 18:54:05  qboosh
- use optflags, cosmetics

Revision 1.23  2002/03/28 10:46:02  wrobell
- ver. 4.1.42
- move to QPL license
- stb

Revision 1.22  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:15:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/23 14:37:23  qboosh
- adaapterized, s/Copyright/License/

Revision 1.18  2001/08/23 16:52:18  filon
- changed: make -> %%{__make}

Revision 1.17  2001/05/08 16:06:06  wiget
- switch to original sources (auto* for tgif is dead)
- version 4.1.40
- added japan X11 resources
- japan description and summary

Revision 1.16  2001/03/25 10:50:57  qboosh
- fixed mandir
- spec %%{debug} ready

Revision 1.15  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.11  1999/07/12 23:06:15  kloczek

- added using CVS keywords in %changelog (for automating them).

* Tue Jun  8 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.1.15-1]
- added more rpm macros,
- package can be now builded on systems FFHS 2.0 compliant.

* Thu Apr 15 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.1.4-1]
- moved data files for tgif to /usr/X11R6/share/tgif,
- enabled NLS support (added ja .mo file).

* Fri Apr  9 1999 Artur Frysiak <wiget@pld.org.pl>
- added full decription of files permision
- gzipping doc
- using DESTDIR in install
- added Group(pl)

* Sat Dec 13 1997 Jan Prikryl <prikryl@acm.org>
Release 2: dependencies changed
           i386 RPM linked against libc.so.6

* Tue Aug 05 1997 Corey Minyard <minyard@acm.org>
Initial version
